#include "guess.h"
int find_number(int MAX) {
    int l = 1, r = MAX, mid, ans;
    while (l <= r) {
        mid = (l + r) >> 1;
        if (smaller(mid)) {
            r = mid - 1;
        } else {
            ans = mid;
            l = mid + 1;
        }
    }
    return ans;
}

